package com.company.saveentity.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;
import jakarta.validation.constraints.NotNull;

import java.util.Date;
import java.util.UUID;

@JmixEntity
@Table(name = "CONTA", indexes = {
		@Index(name = "IDX_CONTA_PERSO", columnList = "PERSO_ID"),
		@Index(name = "IDX_CONTA_ADRES", columnList = "ADRES_ID")
})
@Entity
public class Conta {
	@JmixGeneratedValue
	@Column(name = "ID", nullable = false)
	@Id
	private UUID id;
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "DATE_", nullable = false)
	@NotNull
	private Date date;
	@Column(name = "COMMENT_", nullable = false)
	@NotNull
	private String comment;
	@JoinColumn(name = "PERSO_ID")
	@ManyToOne(fetch = FetchType.LAZY)
	private Perso perso;
	@JoinColumn(name = "ADRES_ID", nullable = false)
	@NotNull
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Adres adres;

	public Adres getAdres() {
		return adres;
	}

	public void setAdres(Adres adres) {
		this.adres = adres;
	}

	public Perso getPerso() {
		return perso;
	}

	public void setPerso(Perso perso) {
		this.perso = perso;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}
}